View Javadoc

    1   package net.sourceforge.pmd;
    2
    3   /**
    4    * Defines a descriptor type whose instance values are required lie within specified upper and
    5    * lower limits.
    6    *
    7    * @author Brian Remedios
    8    *
    9    * @param <T>
    10   */
    11  public interface NumericPropertyDescriptor<T extends Object > extends PropertyDescriptor<T> {
    12
    13      /**
    14       *  Returns the maximum value that instances of the property can have
    15       * @return Number
    16       */
    17      Number upperLimit();
    18
    19      /**
    20       *  Returns the minimum value that instances of the property can have
    21       * @return Number
    22       */
    23      Number lowerLimit();
    24  }